Atualizações de setembro, 2018 Ativar/desativar aninhamento de comentários | Atalhos do Teclado

  • Fm4lloc 2:32 pm em 18 de September de 2018 Link Permanente | Resposta
    Tags: , , , lutris, , , ,   

    Cliente Lutris no Debian Streach 

    Lutris é uma plataforma de jogos de código aberto para GNU / Linux. Ele permite que você reúna e gerencie (instale, configure e inicie) todos os seus jogos adquiridos de qualquer fonte, em uma única interface.

    lutris-main-window

    O Recurso mais interessante nele é poder configurar jogos nativos do windows para rodar no Linux com apenas alguns cliques.

    • Gerencie seus jogos Linux, Windows, emulados e de Browser
    • Inicie seus jogos Steam (Versão Windows ou Linux)
    • Instaladores escritos pela comunidade para facilitar a instalação dos jogos
    • Mais de 20 emuladores disponíveis para instalação automática em um único clique, fornecendo suporte para a maioria dos sistemas de jogos do final dos anos 70 até os dias atuais
    • Suporte a Humble Bundle e GOG
    • Importação em massa de ROMs usando o banco de dados TOSEC
    • GUI de configuração do joystick com recursos de mapeamento de teclado
    • Recursos da comunidade: lista de amigos, bate-papo e planejamento de eventos com vários participante.

    INSTALAÇÃO:

    Adicionar repositórios:

    $ echo "deb http://download.opensuse.org/repositories/home:/strycore/Debian_9.0/ ./" | sudo tee /etc/apt/sources.list.d/lutris.list
    

    Chaves:

    $ wget -q http://download.opensuse.org/repositories/home:/strycore/Debian_9.0/Release.key -O- | sudo apt-key add -
    

    Atualizar repositórios e instalar:

    $ sudo apt-get update
    $ sudo apt-get install lutris
    

     

     
  • Fm4lloc 10:30 pm em 30 de August de 2018 Link Permanente | Resposta
    Tags: artigo, backports, buster, como instalar, contrib, , debian 10, debian 9.5, , , , , instalando, jogos, non-free, , stable, , , , streach, , wiki, ,   

    Instalando a Steam no Debian 9.5 (64bits) 

    Segue as etapas de instalação:

    1. Acrescente os repositórios contrib e non-free em sua source list: /etc/apt/source.list, adicione, ainda, o stretch-backports. Seu arquivo deve ficar parecido com esse:

    deb http://deb.debian.org/debian/ stretch main contrib non-free
    deb-src http://deb.debian.org/debian/ stretch main contrib non-free
    
    deb http://security.debian.org/debian-security stretch/updates main contrib non-free
    deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free
    
    # stretch-updates, previously known as 'volatile'
    deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
    deb-src http://deb.debian.org/debian/ stretch-updates main contrib non-free
    
    deb http://ftp.debian.org/debian stretch-backports main contrib non-free
    

    2. Habilitar Multiarquitetura:

    sudo dpkg --add-architecture i386
    sudo apt update
    sudo apt upgrade
    

    3. Instalar o driver da sua placa de vídeo:
    Se for Nvidia, você pode instalar direto do backports caso ainda não tenha feito isso de outra forma (enquanto escrevo esse tutorial o driver contido lá é o 390.77; Placas suportadas). Em caso de modelos não suportados por esse drive leia a Wiki NvidiaGraphicsDrivers

    sudo apt install linux-headers-$(uname -r|sed 's/[^-]*-[^-]*-//')
    sudo apt update
    sudo apt install -t stretch-backports nvidia-driver
    

    DKMS vai construir o modulo nvidia para seu sistema. Reinicie seu sistema para colocar o nouveau na blacklist.

    Observação: se estiver usando uma versão do Kernel baixada do stretch-backports você deve instalar o pacote linux-headers direto dele também, caso não, ignore:

    sudo apt install -t stretch-backports linux-headers-$(uname -r|sed 's/[^-]*-[^-]*-//')
    

    Para placas da ATI/AMD siga este wiki: https://wiki.debian.org/ATIProprietary

    Para placas ATI/AMD (driver de código aberto) : https://wiki.debian.org/AtiHowTo

    4. Habilitar as locales abaixo:

    * en_US ISO-8859-1
    * en_US.UTF-8 UTF-8
    * pt_BR ISO-8859-1
    * pt_BR.UTF-8 UTF-8

    Para isso é só executar o comando:

    sudo dpkg-reconfigure locales
    

    e selecioná-las. Quando for perguntado qual deseja manter como default do sistema continue usando pt_BR.UTF-8 UTF-8.

    5. Instalar a Steam e respectivas dependências para iniciar sem ou o com a variante runtime STEAM_RUNTIME=0 steam.

    sudo apt install steam libxtst6:i386 libxrandr2:i386 libglib2.0-0:i386 libgtk2.0-0:i386 libpulse0:i386 libgdk-pixbuf2.0-0:i386 libcurl4-openssl-dev:i386 libopenal1:i386 libusb-1.0-0:i386 libdbus-glib-1-2:i386 libnm-glib4:i386 libnm-util2:i386 libva1:i386 libbz2:i386 libbz2-1.0:i386 libva-x11-1:i386 dnsmasq resolvconf alsa-utils alsamixer pulseaudio
    

    Também será necessário criar um link simbólico para libudev.so.0, este não consta na versão 9.5 do Debian:

    ln -s /lib/i386-linux-gnu/libudev.so.1 /lib/i386-linux-gnu/libudev.so.0
    

    Se isso não for suficiente no futuro, use:

    LD_LIBRARY_PATH=~/.steam/bin32 ldd ~/.steam/bin32/steamclient.so | grep 'not found'
    

    Ocorrendo falhas ao buscar dependências para steamclient.so, ou alguma outra Steam *.so falhar, pesquise o nome do arquivo faltante http://packages.debian.org e baixe o pacote correspondente;

    Em casos de outras falhas, conflitos, recomendo ler: https://wiki.debian.org/Steam . Ele contempla mais informações que essa postagem no tocante a erros.

    Pronto! Agora inicie a Steam.

    Fontes:
    ____
    https://wiki.debian.org/NvidiaGraphicsDrivers
    https://wiki.debian.org/AtiHowTo
    https://wiki.debian.org/ATIProprietary
    https://wiki.debian.org/Steam#A64-bit_systems_.28amd64.29
    https://www.blogopcaolinux.com.br/2017/06/Guia-de-pos-instalacao-do-Debian-9-Stretch.html

     
c
escrever novo post
j
post seguinte/ comentário seguinte
k
post anterior/comentário anterior
r
Resposta
e
Editar
o
mostrar/esconder comentários
t
voltar ao topo
l
vá para login
h
mostrar/ocultar ajuda
shift + esc
Cancelar